---
title: FontFaceSet.load()
slug: Web/API/FontFaceSet/load
tags:
  - API
  - CSS Font Loading API
  - CSSOM
  - Experimental
  - FontFaceSet
  - Method
  - Reference
---
<p>{{APIRef()}}{{SeeCompatTable}}</p>

<div class="syntaxbox">The <code>load()</code> method of the {{domxref("FontFaceSet")}} forces all the fonts given in parameters to be loaded.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>result</var> = <var>aFontFaceSet</var>.load(<em>font</em>);

result = aFontFaceSet.load(font, text);
</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}} of an {{jsxref("Array")}} of {{jsxref("FontFace")}} loaded. The promise is fulfilled when all the fonts are loaded; it is rejected if one of the fonts failed to load.</p>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><code>font</code>: a font specification using the <a href="/en-US/docs/">CSS value syntax</a>, e.g. "italic bold 16px Roboto"</li>
 <li><code>text</code>: limit the font faces to those whose Unicode range contains at least one of the characters in text. This <a href="http://lists.w3.org/Archives/Public/www-style/2015Aug/0330.html">does not check for individual glyph coverage</a>.</li>
</ul>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">// returns a promise that will be fulfilled or rejected according the success to load MyFont
// The code in 'then' can assume the availability of that font.

document.fonts.load("12px MyFont", "ß").then(…);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Font Loading','#font-face-set-load','load')}}</td>
   <td>{{Spec2('CSS3 Font Loading')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.FontFaceSet.load")}}</p>
</div>
